configure revision 67065
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13 
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52SHELL=${CONFIG_SHELL-/bin/sh}
53# Maximum number of lines to put in a shell here document.
54ac_max_here_lines=12
55
56ac_prev=
57for ac_option
58do
59
60  # If the previous option needs an argument, assign it.
61  if test -n "$ac_prev"; then
62    eval "$ac_prev=\$ac_option"
63    ac_prev=
64    continue
65  fi
66
67  case "$ac_option" in
68  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69  *) ac_optarg= ;;
70  esac
71
72  # Accept the important Cygnus configure options, so we can diagnose typos.
73
74  case "$ac_option" in
75
76  -bindir | --bindir | --bindi | --bind | --bin | --bi)
77    ac_prev=bindir ;;
78  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79    bindir="$ac_optarg" ;;
80
81  -build | --build | --buil | --bui | --bu)
82    ac_prev=build ;;
83  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84    build="$ac_optarg" ;;
85
86  -cache-file | --cache-file | --cache-fil | --cache-fi \
87  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88    ac_prev=cache_file ;;
89  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91    cache_file="$ac_optarg" ;;
92
93  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94    ac_prev=datadir ;;
95  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96  | --da=*)
97    datadir="$ac_optarg" ;;
98
99  -disable-* | --disable-*)
100    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101    # Reject names that are not valid shell variable names.
102    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104    fi
105    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106    eval "enable_${ac_feature}=no" ;;
107
108  -enable-* | --enable-*)
109    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110    # Reject names that are not valid shell variable names.
111    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113    fi
114    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115    case "$ac_option" in
116      *=*) ;;
117      *) ac_optarg=yes ;;
118    esac
119    eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123  | --exec | --exe | --ex)
124    ac_prev=exec_prefix ;;
125  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127  | --exec=* | --exe=* | --ex=*)
128    exec_prefix="$ac_optarg" ;;
129
130  -gas | --gas | --ga | --g)
131    # Obsolete; use --with-gas.
132    with_gas=yes ;;
133
134  -help | --help | --hel | --he)
135    # Omit some internal or obsolete options to make the list less imposing.
136    # This message is too long to be a string in the A/UX 3.1 sh.
137    cat << EOF
138Usage: configure [options] [host]
139Options: [defaults in brackets after descriptions]
140Configuration:
141  --cache-file=FILE       cache test results in FILE
142  --help                  print this message
143  --no-create             do not create output files
144  --quiet, --silent       do not print \`checking...' messages
145  --version               print the version of autoconf that created configure
146Directory and file names:
147  --prefix=PREFIX         install architecture-independent files in PREFIX
148                          [$ac_default_prefix]
149  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
150                          [same as prefix]
151  --bindir=DIR            user executables in DIR [EPREFIX/bin]
152  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
153  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
154  --datadir=DIR           read-only architecture-independent data in DIR
155                          [PREFIX/share]
156  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
157  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
158                          [PREFIX/com]
159  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
160  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
161  --includedir=DIR        C header files in DIR [PREFIX/include]
162  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
163  --infodir=DIR           info documentation in DIR [PREFIX/info]
164  --mandir=DIR            man documentation in DIR [PREFIX/man]
165  --srcdir=DIR            find the sources in DIR [configure dir or ..]
166  --program-prefix=PREFIX prepend PREFIX to installed program names
167  --program-suffix=SUFFIX append SUFFIX to installed program names
168  --program-transform-name=PROGRAM
169                          run sed PROGRAM on installed program names
170EOF
171    cat << EOF
172Host type:
173  --build=BUILD           configure for building on BUILD [BUILD=HOST]
174  --host=HOST             configure for HOST [guessed]
175  --target=TARGET         configure for TARGET [TARGET=HOST]
176Features and packages:
177  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
178  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
179  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
180  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
181  --x-includes=DIR        X include files are in DIR
182  --x-libraries=DIR       X library files are in DIR
183EOF
184    if test -n "$ac_help"; then
185      echo "--enable and --with options recognized:$ac_help"
186    fi
187    exit 0 ;;
188
189  -host | --host | --hos | --ho)
190    ac_prev=host ;;
191  -host=* | --host=* | --hos=* | --ho=*)
192    host="$ac_optarg" ;;
193
194  -includedir | --includedir | --includedi | --included | --include \
195  | --includ | --inclu | --incl | --inc)
196    ac_prev=includedir ;;
197  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198  | --includ=* | --inclu=* | --incl=* | --inc=*)
199    includedir="$ac_optarg" ;;
200
201  -infodir | --infodir | --infodi | --infod | --info | --inf)
202    ac_prev=infodir ;;
203  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204    infodir="$ac_optarg" ;;
205
206  -libdir | --libdir | --libdi | --libd)
207    ac_prev=libdir ;;
208  -libdir=* | --libdir=* | --libdi=* | --libd=*)
209    libdir="$ac_optarg" ;;
210
211  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212  | --libexe | --libex | --libe)
213    ac_prev=libexecdir ;;
214  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215  | --libexe=* | --libex=* | --libe=*)
216    libexecdir="$ac_optarg" ;;
217
218  -localstatedir | --localstatedir | --localstatedi | --localstated \
219  | --localstate | --localstat | --localsta | --localst \
220  | --locals | --local | --loca | --loc | --lo)
221    ac_prev=localstatedir ;;
222  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225    localstatedir="$ac_optarg" ;;
226
227  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228    ac_prev=mandir ;;
229  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230    mandir="$ac_optarg" ;;
231
232  -nfp | --nfp | --nf)
233    # Obsolete; use --without-fp.
234    with_fp=no ;;
235
236  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237  | --no-cr | --no-c)
238    no_create=yes ;;
239
240  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242    no_recursion=yes ;;
243
244  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246  | --oldin | --oldi | --old | --ol | --o)
247    ac_prev=oldincludedir ;;
248  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251    oldincludedir="$ac_optarg" ;;
252
253  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254    ac_prev=prefix ;;
255  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256    prefix="$ac_optarg" ;;
257
258  -program-prefix | --program-prefix | --program-prefi | --program-pref \
259  | --program-pre | --program-pr | --program-p)
260    ac_prev=program_prefix ;;
261  -program-prefix=* | --program-prefix=* | --program-prefi=* \
262  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263    program_prefix="$ac_optarg" ;;
264
265  -program-suffix | --program-suffix | --program-suffi | --program-suff \
266  | --program-suf | --program-su | --program-s)
267    ac_prev=program_suffix ;;
268  -program-suffix=* | --program-suffix=* | --program-suffi=* \
269  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270    program_suffix="$ac_optarg" ;;
271
272  -program-transform-name | --program-transform-name \
273  | --program-transform-nam | --program-transform-na \
274  | --program-transform-n | --program-transform- \
275  | --program-transform | --program-transfor \
276  | --program-transfo | --program-transf \
277  | --program-trans | --program-tran \
278  | --progr-tra | --program-tr | --program-t)
279    ac_prev=program_transform_name ;;
280  -program-transform-name=* | --program-transform-name=* \
281  | --program-transform-nam=* | --program-transform-na=* \
282  | --program-transform-n=* | --program-transform-=* \
283  | --program-transform=* | --program-transfor=* \
284  | --program-transfo=* | --program-transf=* \
285  | --program-trans=* | --program-tran=* \
286  | --progr-tra=* | --program-tr=* | --program-t=*)
287    program_transform_name="$ac_optarg" ;;
288
289  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290  | -silent | --silent | --silen | --sile | --sil)
291    silent=yes ;;
292
293  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294    ac_prev=sbindir ;;
295  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296  | --sbi=* | --sb=*)
297    sbindir="$ac_optarg" ;;
298
299  -sharedstatedir | --sharedstatedir | --sharedstatedi \
300  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301  | --sharedst | --shareds | --shared | --share | --shar \
302  | --sha | --sh)
303    ac_prev=sharedstatedir ;;
304  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307  | --sha=* | --sh=*)
308    sharedstatedir="$ac_optarg" ;;
309
310  -site | --site | --sit)
311    ac_prev=site ;;
312  -site=* | --site=* | --sit=*)
313    site="$ac_optarg" ;;
314
315  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316    ac_prev=srcdir ;;
317  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318    srcdir="$ac_optarg" ;;
319
320  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321  | --syscon | --sysco | --sysc | --sys | --sy)
322    ac_prev=sysconfdir ;;
323  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325    sysconfdir="$ac_optarg" ;;
326
327  -target | --target | --targe | --targ | --tar | --ta | --t)
328    ac_prev=target ;;
329  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330    target="$ac_optarg" ;;
331
332  -v | -verbose | --verbose | --verbos | --verbo | --verb)
333    verbose=yes ;;
334
335  -version | --version | --versio | --versi | --vers)
336    echo "configure generated by autoconf version 2.13"
337    exit 0 ;;
338
339  -with-* | --with-*)
340    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341    # Reject names that are not valid shell variable names.
342    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344    fi
345    ac_package=`echo $ac_package| sed 's/-/_/g'`
346    case "$ac_option" in
347      *=*) ;;
348      *) ac_optarg=yes ;;
349    esac
350    eval "with_${ac_package}='$ac_optarg'" ;;
351
352  -without-* | --without-*)
353    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354    # Reject names that are not valid shell variable names.
355    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357    fi
358    ac_package=`echo $ac_package| sed 's/-/_/g'`
359    eval "with_${ac_package}=no" ;;
360
361  --x)
362    # Obsolete; use --with-x.
363    with_x=yes ;;
364
365  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366  | --x-incl | --x-inc | --x-in | --x-i)
367    ac_prev=x_includes ;;
368  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370    x_includes="$ac_optarg" ;;
371
372  -x-libraries | --x-libraries | --x-librarie | --x-librari \
373  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374    ac_prev=x_libraries ;;
375  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377    x_libraries="$ac_optarg" ;;
378
379  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380    ;;
381
382  *)
383    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384      echo "configure: warning: $ac_option: invalid host type" 1>&2
385    fi
386    if test "x$nonopt" != xNONE; then
387      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388    fi
389    nonopt="$ac_option"
390    ;;
391
392  esac
393done
394
395if test -n "$ac_prev"; then
396  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397fi
398
399trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401# File descriptor usage:
402# 0 standard input
403# 1 file creation
404# 2 errors and warnings
405# 3 some systems may open it to /dev/tty
406# 4 used on the Kubota Titan
407# 6 checking for... messages and results
408# 5 compiler messages saved in config.log
409if test "$silent" = yes; then
410  exec 6>/dev/null
411else
412  exec 6>&1
413fi
414exec 5>./config.log
415
416echo "\
417This file contains any messages produced by compilers while
418running configure, to aid debugging if configure makes a mistake.
419" 1>&5
420
421# Strip out --no-create and --no-recursion so they do not pile up.
422# Also quote any args containing shell metacharacters.
423ac_configure_args=
424for ac_arg
425do
426  case "$ac_arg" in
427  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428  | --no-cr | --no-c) ;;
429  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434  esac
435done
436
437# NLS nuisances.
438# Only set these to C if already set.  These must not be set unconditionally
439# because not all systems understand e.g. LANG=C (notably SCO).
440# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441# Non-C LC_CTYPE values break the ctype check.
442if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
443if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
446
447# confdefs.h avoids OS command line length limits that DEFS can exceed.
448rm -rf conftest* confdefs.h
449# AIX cpp loses on an empty file, so make sure it contains at least a newline.
450echo > confdefs.h
451
452# A filename unique to this package, relative to the directory that
453# configure is in, which we can look for to find out if srcdir is correct.
454ac_unique_file=gen-perf.cc
455
456# Find the source files, if location was not specified.
457if test -z "$srcdir"; then
458  ac_srcdir_defaulted=yes
459  # Try the directory containing this script, then its parent.
460  ac_prog=$0
461  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463  srcdir=$ac_confdir
464  if test ! -r $srcdir/$ac_unique_file; then
465    srcdir=..
466  fi
467else
468  ac_srcdir_defaulted=no
469fi
470if test ! -r $srcdir/$ac_unique_file; then
471  if test "$ac_srcdir_defaulted" = yes; then
472    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473  else
474    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475  fi
476fi
477srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479# Prefer explicitly selected file to automatically selected ones.
480if test -z "$CONFIG_SITE"; then
481  if test "x$prefix" != xNONE; then
482    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483  else
484    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485  fi
486fi
487for ac_site_file in $CONFIG_SITE; do
488  if test -r "$ac_site_file"; then
489    echo "loading site script $ac_site_file"
490    . "$ac_site_file"
491  fi
492done
493
494if test -r "$cache_file"; then
495  echo "loading cache $cache_file"
496  . $cache_file
497else
498  echo "creating cache $cache_file"
499  > $cache_file
500fi
501
502ac_ext=c
503# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504ac_cpp='$CPP $CPPFLAGS'
505ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507cross_compiling=$ac_cv_prog_cc_cross
508
509ac_exeext=
510ac_objext=o
511if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514    ac_n= ac_c='
515' ac_t='	'
516  else
517    ac_n=-n ac_c= ac_t=
518  fi
519else
520  ac_n= ac_c='\c' ac_t=
521fi
522
523
524
525echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
526echo "configure:527: checking whether ${MAKE-make} sets \${MAKE}" >&5
527set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
528if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
529  echo $ac_n "(cached) $ac_c" 1>&6
530else
531  cat > conftestmake <<\EOF
532all:
533	@echo 'ac_maketemp="${MAKE}"'
534EOF
535# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
536eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
537if test -n "$ac_maketemp"; then
538  eval ac_cv_prog_make_${ac_make}_set=yes
539else
540  eval ac_cv_prog_make_${ac_make}_set=no
541fi
542rm -f conftestmake
543fi
544if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
545  echo "$ac_t""yes" 1>&6
546  SET_MAKE=
547else
548  echo "$ac_t""no" 1>&6
549  SET_MAKE="MAKE=${MAKE-make}"
550fi
551
552# Extract the first word of "gcc", so it can be a program name with args.
553set dummy gcc; ac_word=$2
554echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
555echo "configure:556: checking for $ac_word" >&5
556if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
557  echo $ac_n "(cached) $ac_c" 1>&6
558else
559  if test -n "$CC"; then
560  ac_cv_prog_CC="$CC" # Let the user override the test.
561else
562  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
563  ac_dummy="$PATH"
564  for ac_dir in $ac_dummy; do
565    test -z "$ac_dir" && ac_dir=.
566    if test -f $ac_dir/$ac_word; then
567      ac_cv_prog_CC="gcc"
568      break
569    fi
570  done
571  IFS="$ac_save_ifs"
572fi
573fi
574CC="$ac_cv_prog_CC"
575if test -n "$CC"; then
576  echo "$ac_t""$CC" 1>&6
577else
578  echo "$ac_t""no" 1>&6
579fi
580
581if test -z "$CC"; then
582  # Extract the first word of "cc", so it can be a program name with args.
583set dummy cc; ac_word=$2
584echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
585echo "configure:586: checking for $ac_word" >&5
586if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
587  echo $ac_n "(cached) $ac_c" 1>&6
588else
589  if test -n "$CC"; then
590  ac_cv_prog_CC="$CC" # Let the user override the test.
591else
592  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
593  ac_prog_rejected=no
594  ac_dummy="$PATH"
595  for ac_dir in $ac_dummy; do
596    test -z "$ac_dir" && ac_dir=.
597    if test -f $ac_dir/$ac_word; then
598      if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
599        ac_prog_rejected=yes
600	continue
601      fi
602      ac_cv_prog_CC="cc"
603      break
604    fi
605  done
606  IFS="$ac_save_ifs"
607if test $ac_prog_rejected = yes; then
608  # We found a bogon in the path, so make sure we never use it.
609  set dummy $ac_cv_prog_CC
610  shift
611  if test $# -gt 0; then
612    # We chose a different compiler from the bogus one.
613    # However, it has the same basename, so the bogon will be chosen
614    # first if we set CC to just the basename; use the full file name.
615    shift
616    set dummy "$ac_dir/$ac_word" "$@"
617    shift
618    ac_cv_prog_CC="$@"
619  fi
620fi
621fi
622fi
623CC="$ac_cv_prog_CC"
624if test -n "$CC"; then
625  echo "$ac_t""$CC" 1>&6
626else
627  echo "$ac_t""no" 1>&6
628fi
629
630  if test -z "$CC"; then
631    case "`uname -s`" in
632    *win32* | *WIN32*)
633      # Extract the first word of "cl", so it can be a program name with args.
634set dummy cl; ac_word=$2
635echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
636echo "configure:637: checking for $ac_word" >&5
637if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
638  echo $ac_n "(cached) $ac_c" 1>&6
639else
640  if test -n "$CC"; then
641  ac_cv_prog_CC="$CC" # Let the user override the test.
642else
643  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
644  ac_dummy="$PATH"
645  for ac_dir in $ac_dummy; do
646    test -z "$ac_dir" && ac_dir=.
647    if test -f $ac_dir/$ac_word; then
648      ac_cv_prog_CC="cl"
649      break
650    fi
651  done
652  IFS="$ac_save_ifs"
653fi
654fi
655CC="$ac_cv_prog_CC"
656if test -n "$CC"; then
657  echo "$ac_t""$CC" 1>&6
658else
659  echo "$ac_t""no" 1>&6
660fi
661 ;;
662    esac
663  fi
664  test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
665fi
666
667echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
668echo "configure:669: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
669
670ac_ext=c
671# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
672ac_cpp='$CPP $CPPFLAGS'
673ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
674ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
675cross_compiling=$ac_cv_prog_cc_cross
676
677cat > conftest.$ac_ext << EOF
678
679#line 680 "configure"
680#include "confdefs.h"
681
682main(){return(0);}
683EOF
684if { (eval echo configure:685: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
685  ac_cv_prog_cc_works=yes
686  # If we can't run a trivial program, we are probably using a cross compiler.
687  if (./conftest; exit) 2>/dev/null; then
688    ac_cv_prog_cc_cross=no
689  else
690    ac_cv_prog_cc_cross=yes
691  fi
692else
693  echo "configure: failed program was:" >&5
694  cat conftest.$ac_ext >&5
695  ac_cv_prog_cc_works=no
696fi
697rm -fr conftest*
698ac_ext=c
699# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
700ac_cpp='$CPP $CPPFLAGS'
701ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
702ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
703cross_compiling=$ac_cv_prog_cc_cross
704
705echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
706if test $ac_cv_prog_cc_works = no; then
707  { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
708fi
709echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
710echo "configure:711: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
711echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
712cross_compiling=$ac_cv_prog_cc_cross
713
714echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
715echo "configure:716: checking whether we are using GNU C" >&5
716if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
717  echo $ac_n "(cached) $ac_c" 1>&6
718else
719  cat > conftest.c <<EOF
720#ifdef __GNUC__
721  yes;
722#endif
723EOF
724if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:725: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
725  ac_cv_prog_gcc=yes
726else
727  ac_cv_prog_gcc=no
728fi
729fi
730
731echo "$ac_t""$ac_cv_prog_gcc" 1>&6
732
733if test $ac_cv_prog_gcc = yes; then
734  GCC=yes
735else
736  GCC=
737fi
738
739ac_test_CFLAGS="${CFLAGS+set}"
740ac_save_CFLAGS="$CFLAGS"
741CFLAGS=
742echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
743echo "configure:744: checking whether ${CC-cc} accepts -g" >&5
744if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
745  echo $ac_n "(cached) $ac_c" 1>&6
746else
747  echo 'void f(){}' > conftest.c
748if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
749  ac_cv_prog_cc_g=yes
750else
751  ac_cv_prog_cc_g=no
752fi
753rm -f conftest*
754
755fi
756
757echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
758if test "$ac_test_CFLAGS" = set; then
759  CFLAGS="$ac_save_CFLAGS"
760elif test $ac_cv_prog_cc_g = yes; then
761  if test "$GCC" = yes; then
762    CFLAGS="-g -O2"
763  else
764    CFLAGS="-g"
765  fi
766else
767  if test "$GCC" = yes; then
768    CFLAGS="-O2"
769  else
770    CFLAGS=
771  fi
772fi
773
774                      echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
775echo "configure:776: checking how to run the C preprocessor" >&5
776# On Suns, sometimes $CPP names a directory.
777if test -n "$CPP" && test -d "$CPP"; then
778  CPP=
779fi
780if test -z "$CPP"; then
781if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
782  echo $ac_n "(cached) $ac_c" 1>&6
783else
784    # This must be in double quotes, not single quotes, because CPP may get
785  # substituted into the Makefile and "${CC-cc}" will confuse make.
786  CPP="${CC-cc} -E"
787  # On the NeXT, cc -E runs the code through the compiler's parser,
788  # not just through cpp.
789  cat > conftest.$ac_ext <<EOF
790#line 791 "configure"
791#include "confdefs.h"
792#include <assert.h>
793Syntax Error
794EOF
795ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
796{ (eval echo configure:797: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
797ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
798if test -z "$ac_err"; then
799  :
800else
801  echo "$ac_err" >&5
802  echo "configure: failed program was:" >&5
803  cat conftest.$ac_ext >&5
804  rm -rf conftest*
805  CPP="${CC-cc} -E -traditional-cpp"
806  cat > conftest.$ac_ext <<EOF
807#line 808 "configure"
808#include "confdefs.h"
809#include <assert.h>
810Syntax Error
811EOF
812ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
813{ (eval echo configure:814: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
814ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
815if test -z "$ac_err"; then
816  :
817else
818  echo "$ac_err" >&5
819  echo "configure: failed program was:" >&5
820  cat conftest.$ac_ext >&5
821  rm -rf conftest*
822  CPP="${CC-cc} -nologo -E"
823  cat > conftest.$ac_ext <<EOF
824#line 825 "configure"
825#include "confdefs.h"
826#include <assert.h>
827Syntax Error
828EOF
829ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
830{ (eval echo configure:831: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
831ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
832if test -z "$ac_err"; then
833  :
834else
835  echo "$ac_err" >&5
836  echo "configure: failed program was:" >&5
837  cat conftest.$ac_ext >&5
838  rm -rf conftest*
839  CPP=/lib/cpp
840fi
841rm -f conftest*
842fi
843rm -f conftest*
844fi
845rm -f conftest*
846  ac_cv_prog_CPP="$CPP"
847fi
848  CPP="$ac_cv_prog_CPP"
849else
850  ac_cv_prog_CPP="$CPP"
851fi
852echo "$ac_t""$CPP" 1>&6
853
854                      for ac_prog in $CCC c++ g++ gcc CC cxx cc++ cl
855do
856# Extract the first word of "$ac_prog", so it can be a program name with args.
857set dummy $ac_prog; ac_word=$2
858echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
859echo "configure:860: checking for $ac_word" >&5
860if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
861  echo $ac_n "(cached) $ac_c" 1>&6
862else
863  if test -n "$CXX"; then
864  ac_cv_prog_CXX="$CXX" # Let the user override the test.
865else
866  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
867  ac_dummy="$PATH"
868  for ac_dir in $ac_dummy; do
869    test -z "$ac_dir" && ac_dir=.
870    if test -f $ac_dir/$ac_word; then
871      ac_cv_prog_CXX="$ac_prog"
872      break
873    fi
874  done
875  IFS="$ac_save_ifs"
876fi
877fi
878CXX="$ac_cv_prog_CXX"
879if test -n "$CXX"; then
880  echo "$ac_t""$CXX" 1>&6
881else
882  echo "$ac_t""no" 1>&6
883fi
884
885test -n "$CXX" && break
886done
887test -n "$CXX" || CXX="gcc"
888
889
890echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
891echo "configure:892: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
892
893ac_ext=C
894# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
895ac_cpp='$CXXCPP $CPPFLAGS'
896ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
897ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
898cross_compiling=$ac_cv_prog_cxx_cross
899
900cat > conftest.$ac_ext << EOF
901
902#line 903 "configure"
903#include "confdefs.h"
904
905int main(){return(0);}
906EOF
907if { (eval echo configure:908: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
908  ac_cv_prog_cxx_works=yes
909  # If we can't run a trivial program, we are probably using a cross compiler.
910  if (./conftest; exit) 2>/dev/null; then
911    ac_cv_prog_cxx_cross=no
912  else
913    ac_cv_prog_cxx_cross=yes
914  fi
915else
916  echo "configure: failed program was:" >&5
917  cat conftest.$ac_ext >&5
918  ac_cv_prog_cxx_works=no
919fi
920rm -fr conftest*
921ac_ext=c
922# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
923ac_cpp='$CPP $CPPFLAGS'
924ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
925ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
926cross_compiling=$ac_cv_prog_cc_cross
927
928echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
929if test $ac_cv_prog_cxx_works = no; then
930  { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
931fi
932echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
933echo "configure:934: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
934echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
935cross_compiling=$ac_cv_prog_cxx_cross
936
937echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
938echo "configure:939: checking whether we are using GNU C++" >&5
939if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
940  echo $ac_n "(cached) $ac_c" 1>&6
941else
942  cat > conftest.C <<EOF
943#ifdef __GNUC__
944  yes;
945#endif
946EOF
947if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:948: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
948  ac_cv_prog_gxx=yes
949else
950  ac_cv_prog_gxx=no
951fi
952fi
953
954echo "$ac_t""$ac_cv_prog_gxx" 1>&6
955
956if test $ac_cv_prog_gxx = yes; then
957  GXX=yes
958else
959  GXX=
960fi
961
962ac_test_CXXFLAGS="${CXXFLAGS+set}"
963ac_save_CXXFLAGS="$CXXFLAGS"
964CXXFLAGS=
965echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
966echo "configure:967: checking whether ${CXX-g++} accepts -g" >&5
967if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
968  echo $ac_n "(cached) $ac_c" 1>&6
969else
970  echo 'void f(){}' > conftest.cc
971if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
972  ac_cv_prog_cxx_g=yes
973else
974  ac_cv_prog_cxx_g=no
975fi
976rm -f conftest*
977
978fi
979
980echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
981if test "$ac_test_CXXFLAGS" = set; then
982  CXXFLAGS="$ac_save_CXXFLAGS"
983elif test $ac_cv_prog_cxx_g = yes; then
984  if test "$GXX" = yes; then
985    CXXFLAGS="-g -O2"
986  else
987    CXXFLAGS="-g"
988  fi
989else
990  if test "$GXX" = yes; then
991    CXXFLAGS="-O2"
992  else
993    CXXFLAGS=
994  fi
995fi
996
997                      echo $ac_n "checking how to run the C++ preprocessor""... $ac_c" 1>&6
998echo "configure:999: checking how to run the C++ preprocessor" >&5
999if test -z "$CXXCPP"; then
1000if eval "test \"`echo '$''{'ac_cv_prog_CXXCPP'+set}'`\" = set"; then
1001  echo $ac_n "(cached) $ac_c" 1>&6
1002else
1003  ac_ext=C
1004# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1005ac_cpp='$CXXCPP $CPPFLAGS'
1006ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1007ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1008cross_compiling=$ac_cv_prog_cxx_cross
1009  CXXCPP="${CXX-g++} -E"
1010  cat > conftest.$ac_ext <<EOF
1011#line 1012 "configure"
1012#include "confdefs.h"
1013#include <stdlib.h>
1014EOF
1015ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1016{ (eval echo configure:1017: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1017ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1018if test -z "$ac_err"; then
1019  :
1020else
1021  echo "$ac_err" >&5
1022  echo "configure: failed program was:" >&5
1023  cat conftest.$ac_ext >&5
1024  rm -rf conftest*
1025  CXXCPP=/lib/cpp
1026fi
1027rm -f conftest*
1028  ac_cv_prog_CXXCPP="$CXXCPP"
1029ac_ext=c
1030# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1031ac_cpp='$CPP $CPPFLAGS'
1032ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1033ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1034cross_compiling=$ac_cv_prog_cc_cross
1035fi
1036fi
1037CXXCPP="$ac_cv_prog_CXXCPP"
1038echo "$ac_t""$CXXCPP" 1>&6
1039
1040                      # Find a good install program.  We prefer a C program (faster),
1041# so one script is as good as another.  But avoid the broken or
1042# incompatible versions:
1043# SysV /etc/install, /usr/sbin/install
1044# SunOS /usr/etc/install
1045# IRIX /sbin/install
1046# AIX /bin/install
1047# AFS /usr/afsws/bin/install, which mishandles nonexistent args
1048# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
1049# ./install, which can be erroneously created by make from ./install.sh.
1050echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
1051echo "configure:1052: checking for a BSD compatible install" >&5
1052if test -z "$INSTALL"; then
1053if eval "test \"`echo '$''{'cl_cv_path_install'+set}'`\" = set"; then
1054  echo $ac_n "(cached) $ac_c" 1>&6
1055else
1056    IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
1057  for ac_dir in $PATH; do
1058    # Account for people who put trailing slashes in PATH elements.
1059    case "$ac_dir/" in
1060    /|./|.//|/etc/*|/usr/sbin/*|/usr/etc/*|/sbin/*|/usr/afsws/bin/*|/usr/ucb/*) ;;
1061    *)
1062      # OSF1 and SCO ODT 3.0 have their own names for install.
1063      for ac_prog in ginstall installbsd scoinst install; do
1064        if test -f $ac_dir/$ac_prog; then
1065	  if test $ac_prog = install &&
1066            grep dspmsg $ac_dir/$ac_prog >/dev/null 2>&1; then
1067	    # AIX install.  It has an incompatible calling convention.
1068	    # OSF/1 installbsd also uses dspmsg, but is usable.
1069	    :
1070	  else
1071	    if test $ac_prog = installbsd &&
1072	      grep src/bos $ac_dir/$ac_prog >/dev/null 2>&1; then
1073	      # AIX installbsd doesn't work without option "-g".
1074	      :
1075	    else
1076	      cl_cv_path_install="$ac_dir/$ac_prog -c"
1077	      break 2
1078	    fi
1079	  fi
1080	fi
1081      done
1082      ;;
1083    esac
1084  done
1085  IFS="$ac_save_ifs"
1086  # As a last resort, use cp.
1087  test -z "$cl_cv_path_install" && cl_cv_path_install="cp"
1088
1089fi
1090  INSTALL="$cl_cv_path_install"
1091fi
1092echo "$ac_t""$INSTALL" 1>&6
1093# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
1094# It thinks the first close brace ends the variable substitution.
1095test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='$(INSTALL)'
1096if test -z "$INSTALL_DATA"; then
1097  case "$INSTALL" in
1098    cp | */cp ) INSTALL_DATA='$(INSTALL)' ;;
1099    * )         INSTALL_DATA='$(INSTALL) -m 644' ;;
1100  esac
1101fi
1102
1103                      echo $ac_n "checking for working throw()""... $ac_c" 1>&6
1104echo "configure:1105: checking for working throw()" >&5
1105if eval "test \"`echo '$''{'gp_cv_cxx_throw_decl'+set}'`\" = set"; then
1106  echo $ac_n "(cached) $ac_c" 1>&6
1107else
1108  
1109
1110ac_ext=C
1111# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1112ac_cpp='$CXXCPP $CPPFLAGS'
1113ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1114ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1115cross_compiling=$ac_cv_prog_cxx_cross
1116
1117cat > conftest.$ac_ext <<EOF
1118#line 1119 "configure"
1119#include "confdefs.h"
1120#include <stdlib.h>
1121void operator delete (void* ptr) throw() {}
1122int main() {
1123
1124; return 0; }
1125EOF
1126if { (eval echo configure:1127: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1127  rm -rf conftest*
1128  gp_cv_cxx_throw_decl=yes
1129else
1130  echo "configure: failed program was:" >&5
1131  cat conftest.$ac_ext >&5
1132  rm -rf conftest*
1133  gp_cv_cxx_throw_decl=no
1134fi
1135rm -f conftest*
1136ac_ext=c
1137# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1138ac_cpp='$CPP $CPPFLAGS'
1139ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1140ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1141cross_compiling=$ac_cv_prog_cc_cross
1142
1143
1144fi
1145
1146echo "$ac_t""$gp_cv_cxx_throw_decl" 1>&6
1147if test $gp_cv_cxx_throw_decl = yes; then
1148  cat >> confdefs.h <<\EOF
1149#define HAVE_THROW_DECL 1
1150EOF
1151
1152fi
1153for ac_hdr in unistd.h sys/time.h sys/resource.h
1154do
1155ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1156echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1157echo "configure:1158: checking for $ac_hdr" >&5
1158if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1159  echo $ac_n "(cached) $ac_c" 1>&6
1160else
1161  cat > conftest.$ac_ext <<EOF
1162#line 1163 "configure"
1163#include "confdefs.h"
1164#include <$ac_hdr>
1165EOF
1166ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1167{ (eval echo configure:1168: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1168ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1169if test -z "$ac_err"; then
1170  rm -rf conftest*
1171  eval "ac_cv_header_$ac_safe=yes"
1172else
1173  echo "$ac_err" >&5
1174  echo "configure: failed program was:" >&5
1175  cat conftest.$ac_ext >&5
1176  rm -rf conftest*
1177  eval "ac_cv_header_$ac_safe=no"
1178fi
1179rm -f conftest*
1180fi
1181if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1182  echo "$ac_t""yes" 1>&6
1183    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1184  cat >> confdefs.h <<EOF
1185#define $ac_tr_hdr 1
1186EOF
1187 
1188else
1189  echo "$ac_t""no" 1>&6
1190fi
1191done
1192
1193                      if test $ac_cv_header_sys_resource_h = yes; then
1194for ac_func in getrlimit
1195do
1196echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1197echo "configure:1198: checking for $ac_func" >&5
1198if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1199  echo $ac_n "(cached) $ac_c" 1>&6
1200else
1201  cat > conftest.$ac_ext <<EOF
1202#line 1203 "configure"
1203#include "confdefs.h"
1204/* System header to define __stub macros and hopefully few prototypes,
1205    which can conflict with char $ac_func(); below.  */
1206#include <assert.h>
1207/* Override any gcc2 internal prototype to avoid an error.  */
1208/* We use char because int might match the return type of a gcc2
1209    builtin and then its argument prototype would still apply.  */
1210char $ac_func();
1211
1212int main() {
1213
1214/* The GNU C library defines this for functions which it implements
1215    to always fail with ENOSYS.  Some functions are actually named
1216    something starting with __ and the normal name is an alias.  */
1217#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1218choke me
1219#else
1220$ac_func();
1221#endif
1222
1223; return 0; }
1224EOF
1225if { (eval echo configure:1226: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1226  rm -rf conftest*
1227  eval "ac_cv_func_$ac_func=yes"
1228else
1229  echo "configure: failed program was:" >&5
1230  cat conftest.$ac_ext >&5
1231  rm -rf conftest*
1232  eval "ac_cv_func_$ac_func=no"
1233fi
1234rm -f conftest*
1235fi
1236
1237if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1238  echo "$ac_t""yes" 1>&6
1239    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1240  cat >> confdefs.h <<EOF
1241#define $ac_tr_func 1
1242EOF
1243 
1244else
1245  echo "$ac_t""no" 1>&6
1246fi
1247done
1248
1249                      if test $ac_cv_func_getrlimit = yes; then
1250for ac_func in setrlimit
1251do
1252echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1253echo "configure:1254: checking for $ac_func" >&5
1254if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1255  echo $ac_n "(cached) $ac_c" 1>&6
1256else
1257  cat > conftest.$ac_ext <<EOF
1258#line 1259 "configure"
1259#include "confdefs.h"
1260/* System header to define __stub macros and hopefully few prototypes,
1261    which can conflict with char $ac_func(); below.  */
1262#include <assert.h>
1263/* Override any gcc2 internal prototype to avoid an error.  */
1264/* We use char because int might match the return type of a gcc2
1265    builtin and then its argument prototype would still apply.  */
1266char $ac_func();
1267
1268int main() {
1269
1270/* The GNU C library defines this for functions which it implements
1271    to always fail with ENOSYS.  Some functions are actually named
1272    something starting with __ and the normal name is an alias.  */
1273#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1274choke me
1275#else
1276$ac_func();
1277#endif
1278
1279; return 0; }
1280EOF
1281if { (eval echo configure:1282: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1282  rm -rf conftest*
1283  eval "ac_cv_func_$ac_func=yes"
1284else
1285  echo "configure: failed program was:" >&5
1286  cat conftest.$ac_ext >&5
1287  rm -rf conftest*
1288  eval "ac_cv_func_$ac_func=no"
1289fi
1290rm -f conftest*
1291fi
1292
1293if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1294  echo "$ac_t""yes" 1>&6
1295    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1296  cat >> confdefs.h <<EOF
1297#define $ac_tr_func 1
1298EOF
1299 
1300else
1301  echo "$ac_t""no" 1>&6
1302fi
1303done
1304
1305                      fi
1306fi
1307trap '' 1 2 15
1308cat > confcache <<\EOF
1309# This file is a shell script that caches the results of configure
1310# tests run on this system so they can be shared between configure
1311# scripts and configure runs.  It is not useful on other systems.
1312# If it contains results you don't want to keep, you may remove or edit it.
1313#
1314# By default, configure uses ./config.cache as the cache file,
1315# creating it if it does not exist already.  You can give configure
1316# the --cache-file=FILE option to use a different cache file; that is
1317# what configure does when it calls configure scripts in
1318# subdirectories, so they share the cache.
1319# Giving --cache-file=/dev/null disables caching, for debugging configure.
1320# config.status only pays attention to the cache file if you give it the
1321# --recheck option to rerun configure.
1322#
1323EOF
1324# The following way of writing the cache mishandles newlines in values,
1325# but we know of no workaround that is simple, portable, and efficient.
1326# So, don't put newlines in cache variables' values.
1327# Ultrix sh set writes to stderr and can't be redirected directly,
1328# and sets the high bit in the cache file unless we assign to the vars.
1329(set) 2>&1 |
1330  case `(ac_space=' '; set | grep ac_space) 2>&1` in
1331  *ac_space=\ *)
1332    # `set' does not quote correctly, so add quotes (double-quote substitution
1333    # turns \\\\ into \\, and sed turns \\ into \).
1334    sed -n \
1335      -e "s/'/'\\\\''/g" \
1336      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1337    ;;
1338  *)
1339    # `set' quotes correctly as required by POSIX, so do not add quotes.
1340    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1341    ;;
1342  esac >> confcache
1343if cmp -s $cache_file confcache; then
1344  :
1345else
1346  if test -w $cache_file; then
1347    echo "updating cache $cache_file"
1348    cat confcache > $cache_file
1349  else
1350    echo "not updating unwritable cache $cache_file"
1351  fi
1352fi
1353rm -f confcache
1354
1355trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1356
1357test "x$prefix" = xNONE && prefix=$ac_default_prefix
1358# Let make expand exec_prefix.
1359test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1360
1361# Any assignment to VPATH causes Sun make to only execute
1362# the first set of double-colon rules, so remove it if not needed.
1363# If there is a colon in the path, we need to keep it.
1364if test "x$srcdir" = x.; then
1365  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
1366fi
1367
1368trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1369
1370DEFS=-DHAVE_CONFIG_H
1371
1372# Without the "./", some shells look in PATH for config.status.
1373: ${CONFIG_STATUS=./config.status}
1374
1375echo creating $CONFIG_STATUS
1376rm -f $CONFIG_STATUS
1377cat > $CONFIG_STATUS <<EOF
1378#! /bin/sh
1379# Generated automatically by configure.
1380# Run this file to recreate the current configuration.
1381# This directory was configured as follows,
1382# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1383#
1384# $0 $ac_configure_args
1385#
1386# Compiler output produced by configure, useful for debugging
1387# configure, is in ./config.log if it exists.
1388
1389ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1390for ac_option
1391do
1392  case "\$ac_option" in
1393  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1394    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1395    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1396  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1397    echo "$CONFIG_STATUS generated by autoconf version 2.13"
1398    exit 0 ;;
1399  -help | --help | --hel | --he | --h)
1400    echo "\$ac_cs_usage"; exit 0 ;;
1401  *) echo "\$ac_cs_usage"; exit 1 ;;
1402  esac
1403done
1404
1405ac_given_srcdir=$srcdir
1406
1407trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1408EOF
1409cat >> $CONFIG_STATUS <<EOF
1410
1411# Protect against being on the right side of a sed subst in config.status.
1412sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1413 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1414$ac_vpsub
1415$extrasub
1416s%@SHELL@%$SHELL%g
1417s%@CFLAGS@%$CFLAGS%g
1418s%@CPPFLAGS@%$CPPFLAGS%g
1419s%@CXXFLAGS@%$CXXFLAGS%g
1420s%@FFLAGS@%$FFLAGS%g
1421s%@DEFS@%$DEFS%g
1422s%@LDFLAGS@%$LDFLAGS%g
1423s%@LIBS@%$LIBS%g
1424s%@exec_prefix@%$exec_prefix%g
1425s%@prefix@%$prefix%g
1426s%@program_transform_name@%$program_transform_name%g
1427s%@bindir@%$bindir%g
1428s%@sbindir@%$sbindir%g
1429s%@libexecdir@%$libexecdir%g
1430s%@datadir@%$datadir%g
1431s%@sysconfdir@%$sysconfdir%g
1432s%@sharedstatedir@%$sharedstatedir%g
1433s%@localstatedir@%$localstatedir%g
1434s%@libdir@%$libdir%g
1435s%@includedir@%$includedir%g
1436s%@oldincludedir@%$oldincludedir%g
1437s%@infodir@%$infodir%g
1438s%@mandir@%$mandir%g
1439s%@SET_MAKE@%$SET_MAKE%g
1440s%@CC@%$CC%g
1441s%@CPP@%$CPP%g
1442s%@CXX@%$CXX%g
1443s%@CXXCPP@%$CXXCPP%g
1444s%@INSTALL@%$INSTALL%g
1445s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
1446s%@INSTALL_DATA@%$INSTALL_DATA%g
1447
1448CEOF
1449EOF
1450
1451cat >> $CONFIG_STATUS <<\EOF
1452
1453# Split the substitutions into bite-sized pieces for seds with
1454# small command number limits, like on Digital OSF/1 and HP-UX.
1455ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1456ac_file=1 # Number of current file.
1457ac_beg=1 # First line for current file.
1458ac_end=$ac_max_sed_cmds # Line after last line for current file.
1459ac_more_lines=:
1460ac_sed_cmds=""
1461while $ac_more_lines; do
1462  if test $ac_beg -gt 1; then
1463    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1464  else
1465    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1466  fi
1467  if test ! -s conftest.s$ac_file; then
1468    ac_more_lines=false
1469    rm -f conftest.s$ac_file
1470  else
1471    if test -z "$ac_sed_cmds"; then
1472      ac_sed_cmds="sed -f conftest.s$ac_file"
1473    else
1474      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1475    fi
1476    ac_file=`expr $ac_file + 1`
1477    ac_beg=$ac_end
1478    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1479  fi
1480done
1481if test -z "$ac_sed_cmds"; then
1482  ac_sed_cmds=cat
1483fi
1484EOF
1485
1486cat >> $CONFIG_STATUS <<EOF
1487
1488CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1489EOF
1490cat >> $CONFIG_STATUS <<\EOF
1491for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1492  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1493  case "$ac_file" in
1494  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1495       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1496  *) ac_file_in="${ac_file}.in" ;;
1497  esac
1498
1499  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1500
1501  # Remove last slash and all that follows it.  Not all systems have dirname.
1502  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1503  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1504    # The file is in a subdirectory.
1505    test ! -d "$ac_dir" && mkdir "$ac_dir"
1506    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1507    # A "../" for each directory in $ac_dir_suffix.
1508    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1509  else
1510    ac_dir_suffix= ac_dots=
1511  fi
1512
1513  case "$ac_given_srcdir" in
1514  .)  srcdir=.
1515      if test -z "$ac_dots"; then top_srcdir=.
1516      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1517  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1518  *) # Relative path.
1519    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1520    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1521  esac
1522
1523
1524  echo creating "$ac_file"
1525  rm -f "$ac_file"
1526  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1527  case "$ac_file" in
1528  *Makefile*) ac_comsub="1i\\
1529# $configure_input" ;;
1530  *) ac_comsub= ;;
1531  esac
1532
1533  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1534  sed -e "$ac_comsub
1535s%@configure_input@%$configure_input%g
1536s%@srcdir@%$srcdir%g
1537s%@top_srcdir@%$top_srcdir%g
1538" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1539fi; done
1540rm -f conftest.s*
1541
1542# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1543# NAME is the cpp macro being defined and VALUE is the value it is being given.
1544#
1545# ac_d sets the value in "#define NAME VALUE" lines.
1546ac_dA='s%^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
1547ac_dB='\([ 	][ 	]*\)[^ 	]*%\1#\2'
1548ac_dC='\3'
1549ac_dD='%g'
1550# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1551ac_uA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
1552ac_uB='\([ 	]\)%\1#\2define\3'
1553ac_uC=' '
1554ac_uD='\4%g'
1555# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1556ac_eA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
1557ac_eB='$%\1#\2define\3'
1558ac_eC=' '
1559ac_eD='%g'
1560
1561if test "${CONFIG_HEADERS+set}" != set; then
1562EOF
1563cat >> $CONFIG_STATUS <<EOF
1564  CONFIG_HEADERS="config.h"
1565EOF
1566cat >> $CONFIG_STATUS <<\EOF
1567fi
1568for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1569  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1570  case "$ac_file" in
1571  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1572       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1573  *) ac_file_in="${ac_file}.in" ;;
1574  esac
1575
1576  echo creating $ac_file
1577
1578  rm -f conftest.frag conftest.in conftest.out
1579  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1580  cat $ac_file_inputs > conftest.in
1581
1582EOF
1583
1584# Transform confdefs.h into a sed script conftest.vals that substitutes
1585# the proper values into config.h.in to produce config.h.  And first:
1586# Protect against being on the right side of a sed subst in config.status.
1587# Protect against being in an unquoted here document in config.status.
1588rm -f conftest.vals
1589cat > conftest.hdr <<\EOF
1590s/[\\&%]/\\&/g
1591s%[\\$`]%\\&%g
1592s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1593s%ac_d%ac_u%gp
1594s%ac_u%ac_e%gp
1595EOF
1596sed -n -f conftest.hdr confdefs.h > conftest.vals
1597rm -f conftest.hdr
1598
1599# This sed command replaces #undef with comments.  This is necessary, for
1600# example, in the case of _POSIX_SOURCE, which is predefined and required
1601# on some systems where configure will not decide to define it.
1602cat >> conftest.vals <<\EOF
1603s%^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1604EOF
1605
1606# Break up conftest.vals because some shells have a limit on
1607# the size of here documents, and old seds have small limits too.
1608
1609rm -f conftest.tail
1610while :
1611do
1612  ac_lines=`grep -c . conftest.vals`
1613  # grep -c gives empty output for an empty file on some AIX systems.
1614  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1615  # Write a limited-size here document to conftest.frag.
1616  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1617  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1618  echo 'CEOF
1619  sed -f conftest.frag conftest.in > conftest.out
1620  rm -f conftest.in
1621  mv conftest.out conftest.in
1622' >> $CONFIG_STATUS
1623  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1624  rm -f conftest.vals
1625  mv conftest.tail conftest.vals
1626done
1627rm -f conftest.vals
1628
1629cat >> $CONFIG_STATUS <<\EOF
1630  rm -f conftest.frag conftest.h
1631  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
1632  cat conftest.in >> conftest.h
1633  rm -f conftest.in
1634  if cmp -s $ac_file conftest.h 2>/dev/null; then
1635    echo "$ac_file is unchanged"
1636    rm -f conftest.h
1637  else
1638    # Remove last slash and all that follows it.  Not all systems have dirname.
1639      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1640      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1641      # The file is in a subdirectory.
1642      test ! -d "$ac_dir" && mkdir "$ac_dir"
1643    fi
1644    rm -f $ac_file
1645    mv conftest.h $ac_file
1646  fi
1647fi; done
1648
1649EOF
1650cat >> $CONFIG_STATUS <<EOF
1651
1652EOF
1653cat >> $CONFIG_STATUS <<\EOF
1654
1655exit 0
1656EOF
1657chmod +x $CONFIG_STATUS
1658rm -fr confdefs* $ac_clean_files
1659test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1660
1661